using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using VisimBox;
using VisimBox.Scene;

namespace EarthAttacks
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            VisimEngine.Instance.Initialize();
            VisimEngine.Instance.MainScene.AddNode(new EarthAttack(), "EarthDemo");
            VisimEngine.Instance.Renderer.MainContext.RenderFlags = (UInt64)RenderFlags.Normal;
            VisimEngine.Instance.Run();
        }
    }
}
